regina::detail::XMLSimplexReader< dim > Class Template Reference
Implementation details

Helper class that reads the XML element for a single top-dimensional simplex in a dim-dimensional triangulation. More...

`#include <triangulation/detail/xmltrireader.h>`

Inheritance diagram for regina::detail::XMLSimplexReader< dim >:

## Public Member Functions

| XMLSimplexReader (Triangulation< dim > *tri, size_t whichSimplex)
| Creates a new simplex element reader. More...
virtual void | startElement (const std::string &, const regina::xml::XMLPropertyDict &props, XMLElementReader *)
| Signifies that parsing of this XML element is beginning. More...
virtual void | initialChars (const std::string &chars)
| Signifies that the initial text belonging to this XML element has been read. More...
virtual XMLElementReader * | startSubElement (const std::string &subTagName, const regina::xml::XMLPropertyDict &subTagProps)
| Signifies that a subelement of this XML element is about to be parsed. More...
virtual void | endSubElement (const std::string &subTagName, XMLElementReader *subReader)
| Signifies that parsing has finished for a subelement of this XML element. More...
virtual void | endElement ()
| Signifies that parsing of this XML element is finished. More...
virtual void | usingParser (regina::xml::XMLParser *parser)
| Called for the top-level element in an XML file when parsing begins. More...
virtual void | abort (XMLElementReader *subReader)
| Signifies that XML parsing has been aborted. More...

## Detailed Description

### template<int dim>
class regina::detail::XMLSimplexReader< dim >

Helper class that reads the XML element for a single top-dimensional simplex in a dim-dimensional triangulation.

In other words, this reads the contents of a single <simplex> element for dimension dim ≥ 5, or a single <triangle>, <tet> or <pent> element for dimension dim = 2, 3 or 4.

It is assumed that the underlying triangulation and its simplices have already been created. The task of this reader is to flesh out the "contents" of a single simplex; that is, the description of the simplex and its gluings to adjacent simplices.

Python:\n Not present.

Template Parameters

  dim | The dimension of the triangulation being read.

The documentation for this class was generated from the following file:

- triangulation/detail/xmltrireader.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).